Redmine - Feature #23616

wiki-attached image inline in issue
2016-08-19 11:27 - Anonymous

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour

Target version:

Resolution:

Description
Suppose | have uploaded an image to a wiki page in the same project (or elsewhere in the redmine entity).

Now | would like to display the image inline in an issue, similar to limage.png!

Currently this does not seem possible, see #543#note-3 and
http://www.redmine.org/projects/redmine/wiki/RedmineTextFormattingTextile#Links

This is a defect, as currently the only workaround is to upload the image again, resulting in unnecessary duplication and consistency
problems.

Could a solution be to use a macro similar to {{include(wiki-name)}} ?

Related issues:
Related to Redmine - Feature #3272: Ability to import wiki image from other w... New 2009-04-30

History

#1 - 2016-08-19 13:00 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

#2 - 2016-08-19 13:39 - Anonymous
JW Fuchs wrote:

This is a defect, as currently the only workaround is to upload the image again, resulting in unnecessary duplication and consistency problems.

This is not a feature request but rather an error regarding the inline support for attachment links.

#3 - 2016-08-19 13:52 - Toshi MARUYAMA
- Subject changed from Cannot display wiki-attached image inline to wiki-attached image inline in issue
- Category changed from Attachments to Text formatting

- Priority changed from High to Normal

#4 - 2016-08-19 13:53 - Toshi MARUYAMA
JW Fuchs wrote:

This is not a feature request but rather an error regarding the inline support for attachment links.

How do you deal if user does not have permission to see wiki?

#5 - 2016-08-19 13:56 - Anonymous
Toshi MARUYAMA wrote:

How do you deal if user does not have permission to see wiki?

Wherever the link leads to, the attachment should only be accessible with the appropriate permission. This would especially be true for links to other
projects.
https://www.redmine.org/issues/543#note-3
http://www.redmine.org/projects/redmine/wiki/RedmineTextFormattingTextile#Links

#6 - 2018-07-17 11:12 - Go MAEDA

- Related to Feature #3272: Ability to import wiki image from other wiki page added
#7 - 2021-11-01 01:37 - Eugene B

+1 for this.

| need syntax like this:

"1 [ [MyWikiPage]]:myimage.png!"

"#IssuelD:myimage.png!"

"project: [ [MyWikiPage] ] :myimage.png!"

"project:#IssuelD:myimage.png!"

For us, some page has regularly updated image data (graphs) which we need to link to other pages. As the image ID changes every time new image
is updated - links are broken for new uploaded image.

There is a workaround - you can store this files at some ftp and http service and link to them, BUT built in solution is needed.
| would also suggest Redmine team to implement a solution, that allows users to PAY for features they need in stock system.

| understand, that Redmine is a free product, but user payments will show what is REALLY required. Team will be motivated to implement such
feature faster. Even hire extra devs to implement, using given resources, if needed.
